Index: code/branches/presentation/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 8499)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 8578)
@@ -23,5 +23,5 @@
  *      Hagen Seifert
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -50,5 +50,5 @@
 
         this->reloadTime_ = 0.25;
-        this->damage_ = 15;
+        this->damage_ = 0; //default 15
         this->speed_ = 2500;
         this->delay_ = 0;
@@ -97,4 +97,6 @@
     }
 
+    /* Creates the projectile object, sets its properties to the EnergyDrink properties, calls muendungsfeuer()
+     */
     void EnergyDrink::shot()
     {
@@ -112,4 +114,6 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
+        projectile->setShieldDamage(this->getShieldDamage());
+        projectile->setHealthDamage(this->getHealthDamage());
 
         EnergyDrink::muendungsfeuer();
Index: code/branches/presentation/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 8499)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 8578)
@@ -23,5 +23,5 @@
  *      Martin Polak
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -48,5 +48,5 @@
         this->reloadTime_ = 1.0;
         this->bParallelReload_ = false;
-        this->damage_ = 40;
+        this->damage_ = 0; //default 40
         this->speed_ = 1250;
 
@@ -54,4 +54,6 @@
     }
 
+    /* Creates the projectile (BillboardProjectile) object, sets its properties to the FusionFire properties
+     */
     void FusionFire::fire()
     {
@@ -65,4 +67,7 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
+        projectile->setShieldDamage(this->getShieldDamage());
+        projectile->setHealthDamage(this->getHealthDamage());
+
         projectile->setColour(ColourValue(1.0f, 0.7f, 0.3f, 1.0f));
     }
Index: code/branches/presentation/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/HsW01.cc	(revision 8499)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/HsW01.cc	(revision 8578)
@@ -23,5 +23,5 @@
  *      Hagen Seifert
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -51,5 +51,5 @@
 
         this->reloadTime_ = 0.25;
-        this->damage_ = 15;
+        this->damage_ = 0; //default 15
         this->speed_ = 2500;
         this->delay_ = 0;
@@ -109,4 +109,6 @@
     }
 
+    /* Creates the projectile object, sets its properties to the HsW01 properties, calls muendungsfeuer()
+     */
     void HsW01::shot()
     {
@@ -126,4 +128,6 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
+        projectile->setShieldDamage(this->getShieldDamage());
+        projectile->setHealthDamage(this->getHealthDamage());
 
         HsW01::muendungsfeuer();
Index: code/branches/presentation/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 8499)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 8578)
@@ -23,5 +23,5 @@
  *      Martin Polak
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -45,5 +45,5 @@
 
         this->reloadTime_ = 0.25;
-        this->damage_ = 15;
+        this->damage_ = 0; //default 15
         this->speed_ = 1250;
 
@@ -51,4 +51,6 @@
     }
 
+    /* Creates the projectile object, sets its properties to the LaserFire properties
+     */
     void LaserFire::fire()
     {
@@ -61,4 +63,6 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
+        projectile->setShieldDamage(this->getShieldDamage());
+        projectile->setHealthDamage(this->getHealthDamage());
     }
 }
Index: code/branches/presentation/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 8499)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 8578)
@@ -23,5 +23,5 @@
  *      Joel Smely
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -45,5 +45,5 @@
 
         this->reloadTime_ = 1;
-        this->damage_ = 100;
+        this->damage_ = 0; //default 100
         this->speed_ = 150;
 
@@ -56,4 +56,6 @@
     }
 
+    /* Creates the projectile (LightningGunProjectile) object, sets its properties to the LightningGun properties
+     */
     void LightningGun::fire()
     {
@@ -69,4 +71,6 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
+        projectile->setShieldDamage(this->getShieldDamage());
+        projectile->setHealthDamage(this->getHealthDamage());
     }
 }
Index: code/branches/presentation/src/modules/weapons/weaponmodes/RocketFire.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 8499)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 8578)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -48,5 +48,5 @@
         this->reloadTime_ = 0.20f;
         this->bParallelReload_ = false;
-        this->damage_ = 100;
+        this->damage_ = 0;
         this->speed_ = 500;
 
@@ -59,4 +59,6 @@
     }
 
+    /* Creates the Rocket object, sets its properties to the RocketFire properties
+     */
     void RocketFire::fire()
     {
@@ -71,4 +73,6 @@
         rocket->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         rocket->setDamage(this->getDamage());
+        rocket->setShieldDamage(this->getShieldDamage());
+        rocket->setHealthDamage(this->getHealthDamage());
     }
 }
Index: code/branches/presentation/src/modules/weapons/weaponmodes/SimpleRocketFire.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 8499)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 8578)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -50,5 +50,5 @@
         this->reloadTime_ = 1;
         this->bParallelReload_ = false;
-        this->damage_ = 100;
+        this->damage_ = 0;
         this->speed_ = 500;
 
@@ -62,4 +62,6 @@
     }
 
+    /* Creates the Rocket (RocketController) object, sets its properties to the SimpleRocketFire properties, sets target
+     */
     void SimpleRocketFire::fire()
     {
@@ -71,5 +73,9 @@
         rocket->setVelocity(this->getMuzzleDirection()*this->speed_);
         rocket->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+
         rocket->setDamage(this->damage_);
+        rocket->setShieldDamage(this->getShieldDamage());
+        rocket->setHealthDamage(this->getHealthDamage());
+
         WorldEntity* pawnn=static_cast<ControllableEntity*>(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn())->getTarget();
         if (pawnn) con->setTarget(pawnn);
